TYPOS3.Flow - Bug # 53010

Status: Resolved Priority: Must have
Author: Stephan Schuler Category: Security
Created: 2013-10-21 Assigned To:

Updated: 2014-08-26 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git master

Subject:

UsernamePasswordHttpBasic disabled since .htaccess strips "Basic"

Description

Hey there.

The Token\UsernamePasswordHttpBasic requires the "Authentication" header to begin with "Basic". That's fine since this very token
is only meant to deal with basic auth requests.

Unfortunately the .htaccess file which gets installed contains the following line:
SetEnvIfNoCase Authorization "Basic ([a-zA-Z0-9\+/=]+)" REMOTE_AUTHORIZATION=$1

This means: Whenever the "Authorization Basic" header is set, it gets passed to the REMOTE_AUTHORIZATION environment

variable by stripping the "Basic" string.

Associated revisions

Revision 8bd0eca5 - 2014-08-26 11:41 - Stephan Schuler

[BUGFIX] REMOTE_AUTHORIZATION strips "Basic" string

Currently the .htaccess file passes the "Authorization" header

to the REMOTE_AUTHORIZATION environment variable by stripping
the "Basic" string. This means as soon as the authentication

token tries to authenticate, the only remaining thing is the

base64 encoded value of username/password without the "Basic"

indicator. This leads to no basic auth possible when running

CGl.

Change-Id: 1a316a732c1eecade595f67928fc1ce6935731af0

Resolves: #53010

Releases: master, 2.2, 2.1

Revision 19f638c8 - 2014-08-26 15:22 - Stephan Schuler

[BUGFIX] REMOTE_AUTHORIZATION strips "Basic" string

Currently the .htaccess file passes the "Authorization" header
to the REMOTE_AUTHORIZATION environment variable by stripping
the "Basic" string. This means as soon as the authentication

token tries to authenticate, the only remaining thing is the
base64 encoded value of username/password without the "Basic"
indicator. This leads to no basic auth possible when running
CGl.

Change-Id: 1a316a732c1eecade595f67928fc1ce6935731af0

Resolves: #53010

Releases: master, 2.2, 2.1

(cherry picked from commit 8bdOeca54fefaleb014d000f368634d2a91f477d)

Revision 71bfc215 - 2014-08-26 15:22 - Stephan Schuler

[BUGFIX] REMOTE_AUTHORIZATION strips "Basic" string

Currently the .htaccess file passes the "Authorization" header

to the REMOTE_AUTHORIZATION environment variable by stripping
the "Basic" string. This means as soon as the authentication

token tries to authenticate, the only remaining thing is the

base64 encoded value of username/password without the "Basic"
indicator. This leads to no basic auth possible when running

CGl.

Change-Id: 1a316a732c1eecade595f67928fc1ce6935731af0

Resolves: #53010

Releases: master, 2.2, 2.1

(cherry picked from commit 8bdOeca54fefa1eb014d000f368634d2a91f477d)

History

#1 - 2013-10-21 17:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24936

#2 - 2014-02-24 13:54 - Karsten Dambekalns
- Category set to Security

#3 - 2014-02-24 13:56 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.0rg/24936

#4 - 2014-03-26 16:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.0rg/24936

#5 - 2014-08-26 11:41 - Gerrit Code Review
Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.

It is available at http://review.typo3.org/24936

#6 - 2014-08-26 15:22 - Gerrit Code Review

Patch set 1 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.

It is available at http://review.typo3.0rg/32389

#7 - 2014-08-26 15:22 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.

It is available at http://review.typo3.0rg/32390

#8 - 2014-08-26 15:30 - Stephan Schuler
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:8bd0eca54fefaleb014d000f368634d2a91f477d.
